Bug 757854 - (kcalc) Review Request: kcalc - Scientific calculator
Review Request: kcalc - Scientific calculator
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-11-28 15:37 EST by Rex Dieter
Modified: 2011-12-05 02:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-05 02:06:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jreznik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-11-28 15:37:35 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdeutils/kcalc.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdeutils/kcalc-4.7.80-1.fc16.src.rpm
Description:
KCalc is a calculator which offers many more mathematical
functions than meet the eye on a first glance.


This is being split out in kde-4.7.80 from previously monolithic kdeutils
package.
Comment 1 Jaroslav Reznik 2011-11-30 10:17:28 EST
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint kcalc-debuginfo-4.7.80-1.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint kcalc-4.7.80-1.fc17.src.rpm

kcalc.src: W: invalid-url Source0: ftp://ftp.kde.org/pub/kde/stable/4.7.80/src/kcalc-4.7.80.tar.bz2 <urlopen error ftp error: 550 Failed to change directory.>
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint kcalc-4.7.80-1.fc17.i686.rpm

kcalc.i686: E: invalid-soname /usr/lib/libkdeinit4_kcalc.so libkdeinit4_kcalc.so
kcalc.i686: E: script-without-shebang /usr/share/applications/kde4/kcalc.desktop

> kcalc.desktop has exec acls

kcalc.i686: W: no-manual-page-for-binary kcalc
1 packages and 0 specfiles checked; 2 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/jreznik/test/757854/kcalc-4.7.80.tar.bz2 :
  MD5SUM this package     : 13206383afdbfcabde4c1e47ce2764c0
  MD5SUM upstream package : 13206383afdbfcabde4c1e47ce2764c0

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint kcalc-debuginfo-4.7.80-1.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint kcalc-4.7.80-1.fc17.src.rpm

kcalc.src: W: invalid-url Source0: ftp://ftp.kde.org/pub/kde/stable/4.7.80/src/kcalc-4.7.80.tar.bz2 <urlopen error ftp error: 550 Failed to change directory.>
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

> Just fix to unstable for now.

rpmlint kcalc-4.7.80-1.fc17.i686.rpm

kcalc.i686: E: invalid-soname /usr/lib/libkdeinit4_kcalc.so libkdeinit4_kcalc.so
kcalc.i686: E: script-without-shebang /usr/share/applications/kde4/kcalc.desktop
kcalc.i686: W: no-manual-page-for-binary kcalc
1 packages and 0 specfiles checked; 2 errors, 1 warnings.

> Ok as stated above.

Generated by fedora-review 0.1.1
External plugins:
Comment 2 Jaroslav Reznik 2011-11-30 10:18:37 EST
desktop-file-validate belongs to %install section
Comment 3 Rex Dieter 2011-11-30 10:22:49 EST
%check for -validate is fine (I'm starting to use that everywhere), I'll take it as my job to update the relevant packaging guideline
Comment 5 Jaroslav Reznik 2011-11-30 10:32:41 EST
Thanks Rex, I thought it's ok but re-checked with old Guidelines to prove me I was wrong :)
Comment 6 Jaroslav Reznik 2011-11-30 10:56:54 EST
We decided (at #fedora-kde) to go with some macro magic to do stable/unstable source url in a better way - so for now, I'll approve it with incorrect url (source code checked manually). As I think it's not a blocker and we have this problem in modules already in git :( So systematic solution should work.

APPROVED
Comment 7 Kevin Kofler 2011-11-30 11:31:11 EST
Try this:
%global revision %(echo %{version} | sed 's/^.*\.\([^.]*\)$/\1/g')
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: ftp://ftp.kde.org/pub/kde/%{stable}/%{version}/src/%{name}-%{version}.tar.bz2
Comment 8 Rex Dieter 2011-12-01 10:26:00 EST
New Package SCM Request
=======================
Package Name: kcalc
Short Description: Scientific calculator
Owners: than jreznik ltinkl rnovacek rdieter kkofler
Branches: f16
Comment 9 Jon Ciesla 2011-12-01 11:04:17 EST
Git done (by process-git-requests).
Comment 10 Kevin Kofler 2011-12-01 22:23:12 EST
> %global revision %(echo %{version} | sed 's/^.*\.\([^.]*\)$/\1/g')

We found that the backslashes need to be escaped, as in:

%global revision %(echo %{version} | sed 's/^.*\\.\\([^.]*\\)$/\\1/g')

This always takes the last component of the version. Alternatively, this also works, assuming that the version has 3 components (it always takes the 3rd component):

%global revision %(echo %{version} | cut -d. -f3)
Comment 11 Kevin Kofler 2011-12-01 22:42:02 EST
As per the IRC discussion, I think we should go with the cut version, it's shorter and more readable. Both versions may fail if upstream changes their versioning scheme, but they're both more robust than hardcoding either "stable" or "unstable", which we invariably forget to change. So I'd go with the simpler of the 2.
Comment 12 Kevin Kofler 2011-12-01 22:43:32 EST
(By the way, thanks to Rex Dieter for the "cut" version. I'm a bit from the "if all you have is sed, everything starts to look a lot like a regex" school. ;-) )
Comment 13 Rex Dieter 2011-12-05 02:06:50 EST
imported.

Note You need to log in before you can comment on or make changes to this bug.